﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _6ManyWindow
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }
        public void Open(string Name)
        {
            richTextBox1.LoadFile(Name, RichTextBoxStreamType.RichText);
            this.Text = Name;
        }
        public void Save(string Name)
        {
            richTextBox1.SaveFile(Name, RichTextBoxStreamType.RichText);
            this.Text = Name;
        }
        public void Cut()
        {
            Clipboard.SetText(richTextBox1.SelectedRtf, TextDataFormat.Rtf);
            richTextBox1.SelectedRtf = "";
        }
        public void Copy()
        {
            Clipboard.SetText(richTextBox1.SelectedRtf, TextDataFormat.Rtf);
        }
        public void Paste()
        {
            richTextBox1.SelectedRtf = Clipboard.GetText(TextDataFormat.Rtf);
            richTextBox1.Paste(DataFormats.GetFormat(DataFormats.Bitmap));
        }

        private void вырезатьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Cut();
        }

        private void копироватьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Copy();
        }

        private void вставитьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Paste();
        }
    }
}
